Bug 238020 - Wrong init script
Wrong init script
Status: CLOSED NEXTRELEASE
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: bluez-utils (Show other bugs)
5.0
All Linux
low Severity low
: ---
: ---
Assigned To: Jiri Moskovcak
:
Depends On:
Blocks: 237789 238021 238023
  Show dependency treegraph
 
Reported: 2007-04-26 11:45 EDT by Michal Marciniszyn
Modified: 2015-02-01 17:47 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-03-13 08:23:03 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Michal Marciniszyn 2007-04-26 11:45:51 EDT
Description of problem:
The dund init script ends with error code 0 when the networking is not started
even though the service is not running. It also returns wrong error code of
uniplemented script feature (1 instead of 3).

Version-Release number of selected component (if applicable):
all

How reproducible:
always

Steps to Reproduce:
1. service network stop
2. service dund start/status
3. echo $?
  
Actual results:
0

Expected results:
correct error code/status of the service

Additional info:
When fixing this bug, please obbey our init script guidelines and be sure that
status command is run correctly.
Our guidelines are on following two pages:
http://intranet.corp.redhat.com/ic/intranet/InitscriptsSpec.html
http://intranet.corp.redhat.com/ic/intranet/InitscriptGuidelines.html

For an example of the script that returns the error codes correctly and always
runs status see:
http://devserv.devel.redhat.com/~mmarcini/amd

This bug is tracked by 237789.

Note You need to log in before you can comment on or make changes to this bug.